parport_find_base
Prev | Chapter 20. Parallel Port Devices | Next

## Name

parport_find_base — find a parallel port by base address

## Synopsis

`struct parport * parport_find_base (` | unsigned long | base`)`;

## Arguments

`base`

  base I/O address

## Description

This returns the parallel port with the specified base address, or `NULL` if there is none.

There is an implicit `parport_get_port` done already; to throw away the reference to the port that `parport_find_base` gives you, use `parport_put_port`.

Prev | Up | Next
parport_find_number | Home | parport_claim